For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all accounting entities
        • GETGet accounting entity by id
        • GETGet all invoices
        • GETGet an invoice by ID
        • POSTCreate Invoice: Entrata
        • PUTUpdate Invoice: Entrata - Not Supported
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
EntrataInvoices

Get an invoice by ID

GET
/v1/invoices/:invoice_id
GET
/v1/invoices/:invoice_id
$curl https://api.propexo.com/v1/invoices/invoice_id \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "id": "clwktsp9v000008l31iv218hn",
13 "created_at": "2024-03-21T15:38:08.337Z",
14 "updated_at": "2024-03-22T10:59:45.119Z",
15 "last_seen": "2024-03-22T10:59:45.119Z",
16 "x_id": "1234567890",
17 "x_property_id": "123456",
18 "x_location_id": null,
19 "x_vendor_id": "1234567",
20 "x_financial_account_id": null,
21 "x_cash_financial_account_id": null,
22 "x_ap_financial_account_id": null,
23 "amount_due_in_cents": 3500,
24 "amount_paid_in_cents": 3500,
25 "custom_data": {},
26 "due_date": "2024-03-03T00:00:00.000Z",
27 "discount_amount_in_cents": 500,
28 "discount_date": null,
29 "invoice_date": "2024-03-03T00:00:00.000Z",
30 "invoice_number": "INV-1234",
31 "notes": "This is a note",
32 "post_date": "2024-03-03T00:00:00.000Z",
33 "post_month": "2024-03-03",
34 "post_status_raw": "Posted",
35 "sub_total_amount_in_cents": 3000,
36 "total_amount_in_cents": 3500,
37 "property_id": "clwi5xiix000008l6ctdgafyh",
38 "financial_account_id": null,
39 "cash_financial_account_id": null,
40 "ap_financial_account_id": null,
41 "integration_id": "clwh5u07w000508me66sfh3um",
42 "integration_vendor": "ENTRATA",
43 "invoice_items": [
44 {
45 "x_id": "986235",
46 "x_property_id": "889254",
47 "x_location_id": null,
48 "x_gl_account_id": "235226",
49 "x_cash_financial_account_id": null,
50 "invoice_id": "clxkr6spo0006t7ozhc0keba8",
51 "construction_job_id": null,
52 "amount_due_in_cents": 2500,
53 "notes": "This is a note",
54 "total_amount_in_cents": 2500,
55 "property_id": "clwi5xiix000008l6ctdgafyh",
56 "financial_account_id": "cme02s5xx454647512saocg1tpazam",
57 "cash_financial_account_id": null
58 }
59 ]
60 }
61}
Get an invoice by ID
Was this page helpful?
Previous

Create Invoice: Entrata

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

invoice_idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error